
-- =========================================================================
-- DB2 Spatial Extender V8 Hospital Demo
-- CLP script: create_indexes.db2
-- =========================================================================

--
-- Create join and filter indexes
--

CREATE INDEX hospdemo.pa_pt_id_idx ON hospdemo.patient(pt_id)
;

CREATE INDEX hospdemo.mh_pt_id_idx ON hospdemo.medhist(pt_id)
;

CREATE INDEX hospdemo.mh_diag_code_idx ON hospdemo.medhist(diag_code)
;

CREATE INDEX hospdemo.mh_h_id_idx ON hospdemo.medhist(h_id)
;

CREATE INDEX hospdemo.ho_h_id_idx ON hospdemo.hospital(h_id)
;

--
-- Create se_row_id indexes
--

CREATE INDEX hospdemo.ho_se_row_id_idx ON hospdemo.hospital(se_row_id)
;

CREATE INDEX hospdemo.pa_se_row_id_idx ON hospdemo.patient(se_row_id)
;

--
-- Create spatial indexes
--

CREATE INDEX hospdemo.ho_feature_idx ON hospdemo.hospital(feature)
	EXTEND USING db2gse.spatial_index(0.07,0,0)
;

CREATE INDEX hospdemo.pa_feature_idx ON hospdemo.patient(feature)
	EXTEND USING db2gse.spatial_index(0.01,0,0)
;

CREATE INDEX hospdemo.in_feature_idx ON hospdemo.intersta(feature)
	EXTEND USING db2gse.spatial_index(0.20,0,0)
;
